Retrieve an App Access Role
curl --request GET \
--url https://api.siit.io/v1/app_access/roles/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/app_access/roles/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/app_access/roles/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/app_access/roles/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/app_access/roles/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/app_access/roles/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/app_access/roles/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"name": "<string>",
"application": "<string>",
"approval_policy": "<string>",
"approval_mode": "approval_policy",
"business_reason_required": true,
"is_restricted_to_audience": true,
"audience": {
"matchers": [
{
"data_point": "contract_type",
"comparator": "=",
"values": [
"<string>"
]
}
]
},
"duration": "fixed",
"max_duration_minutes": 123,
"max_duration_unit": "days",
"provisioning_actions": [
{}
],
"deprovisioning_actions": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the App Access Role
Query Parameters
Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags
Response
App Access Role show
The UID of the App Access Role
The Role name, unique per application
The application this Role grants access to. Pass ?expand[]=field_name for full object.
The approval policy used when approval_mode is approval_policy, null otherwise. Pass ?expand[]=approval_policy for full object.
How access requests for this Role are approved
approval_policy, auto_approve, auto_reject, skip_approval Whether requesters must provide a business reason
Whether only the Role audience can request it
People who can see the record when is_restricted_to_audience is true. A person matches when every matcher matches. Without a status matcher, status = employee is added. Writing it replaces all the matchers.
Show child attributes
Show child attributes
Whether requesters must pick an access duration, and whether it is limited or fixed
fixed, none, optional, required, required_and_limited Maximum (or fixed) access duration in minutes, regardless of display unit. Used when duration is required_and_limited or fixed.
Display unit of max_duration_minutes, which must be divisible by it
days, hours, minutes, months, weeks Actions run when access is granted. See GET /v1/app_access/roles/provisioning_actions_schema for the accepted shapes.
Actions run when access is revoked. See GET /v1/app_access/roles/provisioning_actions_schema for the accepted shapes.
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
curl --request GET \
--url https://api.siit.io/v1/app_access/roles/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/app_access/roles/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/app_access/roles/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/app_access/roles/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/app_access/roles/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/app_access/roles/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/app_access/roles/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"name": "<string>",
"application": "<string>",
"approval_policy": "<string>",
"approval_mode": "approval_policy",
"business_reason_required": true,
"is_restricted_to_audience": true,
"audience": {
"matchers": [
{
"data_point": "contract_type",
"comparator": "=",
"values": [
"<string>"
]
}
]
},
"duration": "fixed",
"max_duration_minutes": 123,
"max_duration_unit": "days",
"provisioning_actions": [
{}
],
"deprovisioning_actions": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"troubleshoot": "<string>"
}
